VirtuousAI
Reference

Inbound webhooks

GET
/api/inbound/link-callback

Query Parameters

token*string
Length1 <= length

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Response Body

application/json

application/json

curl -X GET "https://loading/api/inbound/link-callback?token=string"
null
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Slack Commands

POST
/api/inbound/slack/commands

Response Body

application/json

curl -X POST "https://loading/api/inbound/slack/commands"
null

Slack Events

POST
/api/inbound/slack/events

Response Body

application/json

curl -X POST "https://loading/api/inbound/slack/events"
null

Slack Interactions

POST
/api/inbound/slack/interactions

Response Body

application/json

curl -X POST "https://loading/api/inbound/slack/interactions"
null